insert.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/seq/first_n.hpp>`
`#include <msgpack/preprocessor/seq/rest_n.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_INSERT(seq, i, elem) MSGPACK_PP_SEQ_INSERT_I(seq, i, elem)
#define | MSGPACK_PP_SEQ_INSERT_I(seq, i, elem) MSGPACK_PP_SEQ_FIRST_N(i, seq) (elem) MSGPACK_PP_SEQ_REST_N(i, seq)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_INSERT

#define MSGPACK_PP_SEQ_INSERT | ( |  | seq,
|  |  | i,
|  |  | elem
| ) |  | MSGPACK_PP_SEQ_INSERT_I(seq, i, elem)

## MSGPACK_PP_SEQ_INSERT_I

#define MSGPACK_PP_SEQ_INSERT_I | ( |  | seq,
|  |  | i,
|  |  | elem
| ) |  | MSGPACK_PP_SEQ_FIRST_N(i, seq) (elem) MSGPACK_PP_SEQ_REST_N(i, seq)